%% upgrade
%    Preforms any necessary upgrades to the TET to comply with the latest version.
% inputs:
%   object - Grid object
% outputs:
%   none
% Author: Matthew Dawson <matthew@mjdsystems.ca>
% Organization: McMaster Centre for Software Certification
function upgrade( object )

for i=1:size(object.cells, 2)
    object.cells(i).upgrade
end

end

